%define module_name	AppConfig
%define pver 5.8.0

Summary:  	Perl5 modules for reading configuration
Name:		perl-%module_name
Version:	1.55
Release:	alt1
License:	GPL
Group:		Development/Perl
URL:		http://www.perl.com/CPAN/authors/id/ABW/
Source:		%module_name-%version.tar.bz2
Requires:	perl

buildarch:	noarch

# Automatically added by buildreq on Thu May 01 2003
BuildRequires: libtcb nss_tcb perl-devel

%description
AppConfig has a powerful but easy to use module for parsing configuration
files. It also has a simple and efficient module for parsing command line
arguments.

%prep
%setup -q -n %module_name-%version

%build
find . -type f -name '*.pm' -exec %__perl -pi -e 's/^#=+[\r\n]+//' {} \;
%perl_vendor_build 

%install
%perl_vendor_install 

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc README
%perl_vendor_privlib/%module_name
%perl_vendor_privlib/%module_name.pm
%perl_vendor_man3dir/*

%changelog
* Thu May 01 2003 Alexey Gladkov <legion@altlinux.ru> 1.55-alt1
- First build for ALTLinux
- spec modifications for Sisyphus
- new verssion 1.55

* Tue Jan 21 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.52-4mdk
- fix requires error

* Fri Oct 18 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 1.52-3mdk
- build with perl 5.8
- add perl version define

* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.52-2mdk
- Build on 8.2 with perl 5.6

* Thu Apr 4 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.52-1mdk
- first release for Mandrakesoft
